module Main where

import Database.HSQL.MySQL
import IO
import Funkce
import Char

-- Přihlašovací údaje (klidně editujte)

db_server = "db.fi.muni.cz"
db_name = ""
db_table = "slovicka"
db_user = ""
db_password = ""

-- Main (hlavní funkce programu H + M slovíčka)

main = handleSql print $ do
	bracket (connect db_server db_name db_user db_password) disconnect $ \c -> inTransaction c $ \c -> do
		putStrLn "H + M slovíčka"
		putStrLn "(c)2006 Pavel \"ShadoW\" Dvořák"

		exists <- tableExists c db_table

		if exists then do
			putStr "\nDatabáze načtena ("
			cnt <- retrieveCount c db_table
			let count = (length cnt)
			if count == 1 then
				putStrLn "1 záznam)"
				else if count > 1 && count < 5 then do
				putStrLn ([intToDigit count] ++ " záznamy)")
				else do
				putStrLn ([intToDigit count] ++ " záznamů)")
			else do
			tableCreate c db_table
			putStrLn "\nDatabáze vytvořena, můžete vkládat slovíčka"

		menu c db_table '0'